Subject: Re: GCD005: Regular and efficient releases (submitted)

From: Steve George <[email-masked]>
Date: Wed, 21 May 2025 18:10:13 +0100

Hi all,

Thanks for all the feedback on the initial proposal.

I've integrated it into the GCD so attached is a revised version. I think it's ready to move to the Discussion Period (minimum 30 days from today).

A short summary of the changes in this version:

  - Rename staging to integration branch with suggestion of next-master [Zheng Junjie]
  - Add benefit of updated distribution through other package managers [Rutherther]
  - Remove reference to faster initial git pull [Rutherther]
  - Move target annual release to June [Rutherther]
  - Reduce freeze period by breaking it up into stages [Rutherther & others]
      - updates freeze (week 8->12), hard freeze (week 10-12)
  - Identify pacakge sets earlier [Vagrant]
  - Reword template plan to show weeks [Vagrant]
  - Add alternative release target weeks to plan [Vagrant]
  - Identify 'at risk' packages earlier [Greg / Andreas]
  - Make automation a goal of the Release process & release team [Greg / Ekaitz / reza]
  - Reduce the scope of package sets [Jelle / Efraim]
  - Provide more clarity on dealing issues in package sets [Rurtherther]
  - Try to clarify options around RC bugs and package build failures
  - Try to clarify purpose of release project plan as a template

I would love to know if this improves things from any feedback that you gave?

As well as any other thoughts, comments or ideas on how to improve this GCD!

Steve / Futurile